Part Tore

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Part Torus and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎русский • ‎中文(中国大陆)‎
Arrow-left.svg Page précédente : Part Cone.svg Cône
Page suivante : Tube Part Tube.svg Arrow-right.svg

Part Torus.svg Part Tore

Emplacement du menu
Part → Primitives → Tore
Ateliers
Part
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
Part Primitives

Description

La commande Part Torus.svg Part Tore crée un solide paramétrique en forme de tore, de beignet. Il est le résultat du balayage d'un profil circulaire autour d'une trajectoire circulaire. Dans le système de coordonnées défini par sa propriété DonnéesPlacement, la trajectoire circulaire du tore se situe dans le plan XY avec son centre à l'origine.

Un Part Tore peut être transformé en un segment de tore en modifiant sa propriété DonnéesAngle3. En modifiant ses propriétés DonnéesAngle1 et/ou DonnéesAngle2, le profil balayé peut devenir un segment de cercle.

Part Torus Example.png

Utilisation

  1. Il y a plusieurs façons de lancer la commande :
    • Appuyez sur le bouton Part Torus.svg Tore.
    • Sélectionnez l'option Part → Primitives → Part Torus.svg Tore dans le menu.
  2. Le tore est créé.
  3. Vous pouvez éventuellement modifier les dimensions et DonnéesPlacement du tore en effectuant l'une des opérations suivantes :

Exemple

Part Tore à partir de l'exemple du script

Un objet Part Tore créé avec l'exemple du script ci-dessous.

Remarques

  • Un Part Tore peut également être créé avec la commande Part Primitives.svg Part Primitives. Avec cette commande, vous pouvez spécifier les dimensions et le placement au moment de la création.

Propriétés

Voir aussi : Éditeur de propriétés

Un objet Part Tore est dérivé d'un Part Feature et hérite de toutes ses propriétés. Il possède également les propriétés supplémentaires suivantes :

Données

Attachment

L'objet a les mêmes propriétés d'attachement qu'un Part Part2DObject.

Torus

  • DonnéesRadius1 (Length) : Le rayon de la trajectoire circulaire du tore. La valeur par défaut est 10mm.
  • DonnéesRadius2 (Length) : Le rayon du profil circulaire du tore. La valeur par défaut est 2mm.
  • DonnéesAngle1 (Angle) : L'angle de départ du profil circulaire. Plage valide : -180° <= value <= 180°. La valeur par défaut est -180°.
  • DonnéesAngle2 (Angle) : L'angle de fin du profil circulaire. Plage valide : -180° <= value <= 180°. La valeur par défaut est 180°. Si l'angle total du profil circulaire est inférieur à 360°, le profil aura une forme de tarte.
  • DonnéesAngle3 (Angle) : L'angle de la trajectoire circulaire du tore. Plage valide : 0° < value <= 360°. La valeur par défaut est 360°. Si elle est inférieure à 360°, le solide résultant sera un segment de tore.

Script

Voir aussi: Autogenerated API documentation, Part Ecrire un script et Débuter avec les scripts FreeCAD.

Un Part Tore est créé avec la méthode addObject() du document :

torus = FreeCAD.ActiveDocument.addObject("Part::Torus", "myTorus")
  • "myTorus" est le nom de l'objet.
  • La fonction restitue l'objet nouvellement créé.

Exemple :

import FreeCAD as App

doc = App.activeDocument()

torus = doc.addObject("Part::Torus", "myTorus")
torus.Radius1 = 20
torus.Radius2 = 10
torus.Angle1 = -90
torus.Angle2 = 45
torus.Angle3 = 270
torus.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(30, 45, 10))

doc.recompute()


Arrow-left.svg Page précédente : Part Cone.svg Cône
Page suivante : Tube Part Tube.svg Arrow-right.svg